### Method

# Ide Pipeline remove_error_format

#### Declaration

    gboolean
    ide_pipeline_remove_error_format (
      IdePipeline* self,
      guint error_format_id
    )

#### Description

Removes an error format that was registered with ide_pipeline_add_error_format().

Available since: | 3.32

#### Parameters

`error_format_id` | `guint`
| An identifier for the error format.

#### Return value

Returns: | `gboolean`
| `TRUE` if the error format was removed.